GTGReplay.h File Reference

This file defines functions for postponing event-processing function calls. More...

Go to the source code of this file.

## Enumerations

enum | event_type_t { event_addContainer , event_destroyContainer , event_setState , event_pushState , event_popState , event_addEvent , event_startLink , event_endLink , event_setVar , event_addVar , event_subVar }

## Functions

void | gtg_record (enum event_type_t type, varPrec time,...)
void | gtg_write_events (long nb_events_to_write)

## Detailed Description

This file defines functions for postponing event-processing function calls.

Version
  0.1

## Enumeration Type Documentation

## event_type_t

enum event_type_t

Enumerator
event_addContainer |
event_destroyContainer |
event_setState |
event_pushState |
event_popState |
event_addEvent |
event_startLink |
event_endLink |
event_setVar |
event_addVar |
event_subVar |

## Function Documentation

## gtg_record()

void gtg_record | ( | enum event_type_t | type,
|  | varPrec | time,
|  |  | ...
| ) |  |

## gtg_write_events()

void gtg_write_events | ( | long | nb_events_to_write | ) |